<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Name: Circulation Therapeutic
Description: Circulation Therapeutic: Circulatie (therapeutisch)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749">
   <title>Circulation Therapeutic</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]
Item: (CirculationTherapeutic)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]"
         id="d127e4072-false-d13841e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']])&lt;=1">(CirculationTherapeutic): element hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]
Item: (CirculationTherapeutic)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]"
         id="d127e4140-false-d13862e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@classCode)=('ACT')">(CirculationTherapeutic): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(CirculationTherapeutic): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@moodCode)=('EVN')">(CirculationTherapeutic): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(CirculationTherapeutic): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142'])&gt;=1">(CirculationTherapeutic): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142'])&lt;=1">(CirculationTherapeutic): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:code)&lt;=1">(CirculationTherapeutic): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1143']]])&lt;=1">(CirculationTherapeutic): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1143']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1144']]])&lt;=1">(CirculationTherapeutic): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1144']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1145']]])&lt;=1">(CirculationTherapeutic): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1145']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1146']]])&lt;=1">(CirculationTherapeutic): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1146']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1147']]])&lt;=1">(CirculationTherapeutic): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1147']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1148']]])&lt;=1">(CirculationTherapeutic): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1148']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9005']]])&lt;=1">(CirculationTherapeutic): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9005']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1149']]])&lt;=1">(CirculationTherapeutic): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1149']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1150']]])&lt;=1">(CirculationTherapeutic): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1150']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']
Item: (CirculationTherapeutic)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']"
         id="d127e4146-false-d14182e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CirculationTherapeutic): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.1142')">(CirculationTherapeutic): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1142' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CirculationTherapeutic): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:code
Item: (CirculationTherapeutic)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:code"
         id="d127e4151-false-d14203e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CirculationTherapeutic): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.101-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CirculationTherapeutic): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.55.11.101 Handelingen circulatie SNOMED (DYNAMISCH)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1143']]]
Item: (CirculationTherapeutic)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1143']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@typeCode)=('REFR')">(CirculationTherapeutic): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CirculationTherapeutic): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1144']]]
Item: (CirculationTherapeutic)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1144']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@typeCode)=('REFR')">(CirculationTherapeutic): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CirculationTherapeutic): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1145']]]
Item: (CirculationTherapeutic)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1145']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@typeCode)=('REFR')">(CirculationTherapeutic): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CirculationTherapeutic): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1146']]]
Item: (CirculationTherapeutic)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1146']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@typeCode)=('REFR')">(CirculationTherapeutic): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CirculationTherapeutic): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1147']]]
Item: (CirculationTherapeutic)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1147']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@typeCode)=('REFR')">(CirculationTherapeutic): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CirculationTherapeutic): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]
Item: (CirculationTherapeutic)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1148']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@typeCode)=('REFR')">(CirculationTherapeutic): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CirculationTherapeutic): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9005']]]
Item: (CirculationTherapeutic)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9005']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@typeCode)=('REFR')">(CirculationTherapeutic): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CirculationTherapeutic): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1149']]]
Item: (CirculationTherapeutic)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1149']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@typeCode)=('REFR')">(CirculationTherapeutic): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CirculationTherapeutic): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1142
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1150']]]
Item: (CirculationTherapeutic)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1142']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1150']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="string(@typeCode)=('REFR')">(CirculationTherapeutic): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1142-2016-11-22T133749.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CirculationTherapeutic): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>
</pattern>
