<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1151
Name: Traumatology
Description: Traumatology: Traumatologie (therapeutisch)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618">
   <title>Traumatology</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1151
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]
Item: (Traumatology)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]"
         id="d127e4626-false-d15755e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="count(hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']])&lt;=1">(Traumatology): element hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1151
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]
Item: (Traumatology)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]"
         id="d127e4653-false-d15776e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="string(@classCode)=('ACT')">(Traumatology): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Traumatology): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="string(@moodCode)=('EVN')">(Traumatology): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Traumatology): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151'])&gt;=1">(Traumatology): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151'])&lt;=1">(Traumatology): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&gt;=1">(Traumatology): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code])&lt;=1">(Traumatology): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1152']]])&lt;=1">(Traumatology): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1152']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1151
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']
Item: (Traumatology)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']"
         id="d127e4659-false-d15857e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Traumatology): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.1151')">(Traumatology): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1151' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Traumatology): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1151
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]
Item: (Traumatology)
-->

   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or @nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code]"
         id="d127e4664-false-d15880e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Traumatology): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Traumatology): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.55.11.102 Handelingen traumatologie SNOMED (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.102-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Traumatology): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.55.11.102 Handelingen traumatologie SNOMED (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1151
Context: *[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1152']]]
Item: (Traumatology)
-->
   <rule context="*[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1151']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1152']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="string(@typeCode)=('REFR')">(Traumatology): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1151-2016-11-23T120618.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Traumatology): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>
</pattern>
