<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1160
Name: Drip
Description: Drip: Infuus
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617">
   <title>Drip</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1160
Context: *[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]
Item: (Drip)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]"
         id="d127e5133-false-d17330e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="count(hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']])&lt;=1">(Drip): element hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1160
Context: *[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]
Item: (Drip)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]"
         id="d127e5165-false-d17351e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="string(@classCode)=('SPLY')">(Drip): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Drip): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="string(@moodCode)=('EVN')">(Drip): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Drip): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160'])&gt;=1">(Drip): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160'])&lt;=1">(Drip): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="count(hl7:code)&lt;=1">(Drip): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1161']]])&lt;=1">(Drip): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1161']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="count(hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1162']]])&lt;=1">(Drip): element hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1162']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1160
Context: *[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']
Item: (Drip)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']"
         id="d127e5174-false-d17476e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Drip): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.1160')">(Drip): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1160' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Drip): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1160
Context: *[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]/hl7:code
Item: (Drip)
-->

   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]/hl7:code"
         id="d127e5179-false-d17497e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Drip): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="@nullFlavor or (@code='36576007' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Infusion (procedure)' and @codeSystemName='SNOMED CT')">(Drip): de elementwaarde MOET een zijn van 'code '36576007' codeSystem '2.16.840.1.113883.6.96' displayName='Infusion (procedure)' codeSystemName='SNOMED CT''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1160
Context: *[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1161']]]
Item: (Drip)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1161']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="string(@typeCode)=('REFR')">(Drip): de waarde van @typeCode MOET 'REFR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Drip): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1160
Context: *[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1162']]]
Item: (Drip)
-->
   <rule context="*[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]]/hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1160']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1162']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="string(@typeCode)=('SUBJ')">(Drip): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1160-2016-11-24T132617.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Drip): attribuut @typeCode MOET datatype 'cs' hebben</assert>
   </rule>
</pattern>
