<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1180
Name: Attachments Section
Description: Attachments Section: Bijlagen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949">
   <title>Attachments Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1180
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]
Item: (AttachmentsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]"
         id="d127e6256-false-d21888e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']])&lt;=1">(AttachmentsSection): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1180
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]
Item: (AttachmentsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]"
         id="d127e6287-false-d21909e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="string(@classCode)=('DOCSECT')">(AttachmentsSection): de waarde van @classCode MOET 'DOCSECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(AttachmentsSection): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180'])&gt;=1">(AttachmentsSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180'])&lt;=1">(AttachmentsSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="count(hl7:code[(@code='419891008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(AttachmentsSection): element hl7:code[(@code='419891008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="count(hl7:code[(@code='419891008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(AttachmentsSection): element hl7:code[(@code='419891008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="count(hl7:title)&lt;=1">(AttachmentsSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(AttachmentsSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(AttachmentsSection): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1181']]])&gt;=1">(AttachmentsSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1181']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1181']]])&lt;=1">(AttachmentsSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1181']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1180
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']
Item: (AttachmentsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']"
         id="d127e6291-false-d22007e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttachmentsSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.1180')">(AttachmentsSection): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.1180' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(AttachmentsSection): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1180
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]/hl7:code[(@code='419891008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (AttachmentsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]/hl7:code[(@code='419891008' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e6296-false-d22028e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttachmentsSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="@nullFlavor or (@code='419891008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Record artifact (record artifact)' and @codeSystemName='SNOMED CT')">(AttachmentsSection): de elementwaarde MOET een zijn van 'code '419891008' codeSystem '2.16.840.1.113883.6.96' displayName='Record artifact (record artifact)' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1180
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]/hl7:title
Item: (AttachmentsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]/hl7:title"
         id="d127e6301-false-d22048e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttachmentsSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1180
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]/hl7:text[not(@nullFlavor)]
Item: (AttachmentsSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]/hl7:text[not(@nullFlavor)]"
         id="d127e6307-false-d22062e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttachmentsSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.1180
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1181']]]
Item: (AttachmentsSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1180']]/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.1181']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="string(@typeCode)=('DRIV')">(AttachmentsSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(AttachmentsSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="string(@contextConductionInd)=('true')">(AttachmentsSection): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.1180-2016-11-30T171949.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(AttachmentsSection): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>
</pattern>
