<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.407
Name: Emergency Notification Section
Description: Emergency Notification Section: Meldingsgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350">
   <title>Emergency Notification Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.407
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]
Item: (EmergencyNotificationSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]"
         id="d127e7025-false-d23654e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']])&lt;=1">(EmergencyNotificationSection): element hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.407
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]
Item: (EmergencyNotificationSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]"
         id="d127e7056-false-d23675e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407'])&gt;=1">(EmergencyNotificationSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407'])&lt;=1">(EmergencyNotificationSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:code[(@code='424483007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(EmergencyNotificationSection): element hl7:code[(@code='424483007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:code[(@code='424483007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(EmergencyNotificationSection): element hl7:code[(@code='424483007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(EmergencyNotificationSection): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(EmergencyNotificationSection): element hl7:title[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(EmergencyNotificationSection): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(EmergencyNotificationSection): element hl7:text[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.408']]])&gt;=1">(EmergencyNotificationSection): element hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.408']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.408']]])&lt;=1">(EmergencyNotificationSection): element hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.408']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.407
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']
Item: (EmergencyNotificationSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']"
         id="d127e7058-false-d23903e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EmergencyNotificationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.407')">(EmergencyNotificationSection): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.407' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(EmergencyNotificationSection): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.407
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]/hl7:code[(@code='424483007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (EmergencyNotificationSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]/hl7:code[(@code='424483007' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e7063-false-d23924e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EmergencyNotificationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="@nullFlavor or (@code='424483007' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Transportation details (observable entity)' and @codeSystemName='SNOMED CT')">(EmergencyNotificationSection): de elementwaarde MOET een zijn van 'code '424483007' codeSystem '2.16.840.1.113883.6.96' displayName='Transportation details (observable entity)' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.407
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]/hl7:title[not(@nullFlavor)]
Item: (EmergencyNotificationSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]/hl7:title[not(@nullFlavor)]"
         id="d127e7068-false-d23944e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EmergencyNotificationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.407
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]/hl7:text[not(@nullFlavor)]
Item: (EmergencyNotificationSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]/hl7:text[not(@nullFlavor)]"
         id="d127e7074-false-d23958e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EmergencyNotificationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SD.TEXT" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.407
Context: *[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.408']]]
Item: (EmergencyNotificationSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]]/hl7:section[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.407']]/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.408']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="string(@typeCode)=('DRIV')">(EmergencyNotificationSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(EmergencyNotificationSection): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="string(@contextConductionInd)=('true')">(EmergencyNotificationSection): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.407-2016-08-08T162350.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(EmergencyNotificationSection): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>
</pattern>
