<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.445
Name: Primary Survey Exam
Description: Primary Survey Exam: Primary Survey onderzoek
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528">
   <title>Primary Survey Exam</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.445
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]
Item: (PrimarySurveyExam)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]"
         id="d127e9588-false-d33592e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="count(hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']])&lt;=1">(PrimarySurveyExam): element hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.445
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]
Item: (PrimarySurveyExam)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]"
         id="d127e9636-false-d33613e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@classCode)=('CLUSTER')">(PrimarySurveyExam): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PrimarySurveyExam): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@moodCode)=('EVN')">(PrimarySurveyExam): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PrimarySurveyExam): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445'])&gt;=1">(PrimarySurveyExam): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445'])&lt;=1">(PrimarySurveyExam): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(PrimarySurveyExam): element hl7:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(PrimarySurveyExam): element hl7:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.446']]])&lt;=1">(PrimarySurveyExam): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.446']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.449']]])&lt;=1">(PrimarySurveyExam): element hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.449']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]])&lt;=1">(PrimarySurveyExam): element hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="count(hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.454']]])&lt;=1">(PrimarySurveyExam): element hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.454']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="count(hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.423']]])&lt;=1">(PrimarySurveyExam): element hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.423']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.445
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']
Item: (PrimarySurveyExam)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']"
         id="d127e9642-false-d34048e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrimarySurveyExam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.445')">(PrimarySurveyExam): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.445' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PrimarySurveyExam): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.445
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (PrimarySurveyExam)
-->

   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]"
         id="d127e9647-false-d34069e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrimarySurveyExam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="@nullFlavor or (@code='completed')">(PrimarySurveyExam): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.445
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.446']]]
Item: (PrimarySurveyExam)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.446']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(PrimarySurveyExam): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PrimarySurveyExam): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PrimarySurveyExam): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PrimarySurveyExam): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.445
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.449']]]
Item: (PrimarySurveyExam)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.449']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(PrimarySurveyExam): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PrimarySurveyExam): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PrimarySurveyExam): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PrimarySurveyExam): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.445
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]
Item: (PrimarySurveyExam)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]">
      <extends rule="d127e9667-false-d34357e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(PrimarySurveyExam): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PrimarySurveyExam): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PrimarySurveyExam): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PrimarySurveyExam): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.450
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]
Item: (Circulation)
-->
   <rule id="d127e9667-false-d34357e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="count(hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']])&lt;=1">(Circulation): element hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.450
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]
Item: (Circulation)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="string(@classCode)=('CLUSTER')">(Circulation): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Circulation): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="string(@moodCode)=('EVN')">(Circulation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(Circulation): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450'])&gt;=1">(Circulation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450'])&lt;=1">(Circulation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&gt;=1">(Circulation): element hl7:statusCode[@code='completed'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="count(hl7:statusCode[@code='completed'][not(@nullFlavor)])&lt;=1">(Circulation): element hl7:statusCode[@code='completed'][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.451']]])&lt;=1">(Circulation): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.451']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.452']]])&lt;=1">(Circulation): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.452']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.453']]])&lt;=1">(Circulation): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.453']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.450
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']
Item: (Circulation)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Circulation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.450')">(Circulation): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.450' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Circulation): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.450
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]
Item: (Circulation)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]/hl7:statusCode[@code='completed'][not(@nullFlavor)]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Circulation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="@nullFlavor or (@code='completed')">(Circulation): de elementwaarde MOET een zijn van 'code 'completed''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.450
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.451']]]
Item: (Circulation)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.451']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(Circulation): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Circulation): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Circulation): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Circulation): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.450
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.452']]]
Item: (Circulation)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.452']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(Circulation): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Circulation): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Circulation): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Circulation): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.450
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.453']]]
Item: (Circulation)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.450']]/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.453']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(Circulation): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Circulation): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(Circulation): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.450-2016-10-05T162141.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Circulation): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.445
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.454']]]
Item: (PrimarySurveyExam)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.454']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(PrimarySurveyExam): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PrimarySurveyExam): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PrimarySurveyExam): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PrimarySurveyExam): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.445
Context: *[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.423']]]
Item: (PrimarySurveyExam)
-->
   <rule context="*[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]]/hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.445']]/hl7:component[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.423']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(PrimarySurveyExam): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(PrimarySurveyExam): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(PrimarySurveyExam): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.445-2016-09-28T134528.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(PrimarySurveyExam): attribuut @contextConductionInd MOET datatype 'bl' hebben</assert>
   </rule>
</pattern>
