<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.455
Name: AVPU
Description: AVPU: Geteste bewustzijnsniveau
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432">
   <title>AVPU</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.455
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]]
Item: (AVPU)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]]"
         id="d127e10224-false-d36558e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']])&lt;=1">(AVPU): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.455
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]
Item: (AVPU)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]"
         id="d127e10248-false-d36579e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(AVPU): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(AVPU): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="string(@moodCode)=('EVN')">(AVPU): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(AVPU): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455'])&gt;=1">(AVPU): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455'])&lt;=1">(AVPU): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="count(hl7:code[(@code='449159002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(AVPU): element hl7:code[(@code='449159002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="count(hl7:code[(@code='449159002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(AVPU): element hl7:code[(@code='449159002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="count(hl7:value)&lt;=1">(AVPU): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.455
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']
Item: (AVPU)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']"
         id="d127e10254-false-d36636e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AVPU): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.455')">(AVPU): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.455' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(AVPU): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.455
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]/hl7:code[(@code='449159002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (AVPU)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]/hl7:code[(@code='449159002' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e10259-false-d36657e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AVPU): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="@nullFlavor or (@code='449159002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Alert voice pain unresponsive scale (assessment scale)' and @codeSystemName='SNOMED CT')">(AVPU): de elementwaarde MOET een zijn van 'code '449159002' codeSystem '2.16.840.1.113883.6.96' displayName='Alert voice pain unresponsive scale (assessment scale)' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.455
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]/hl7:value
Item: (AVPU)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.455']]/hl7:value"
         id="d127e10264-false-d36677e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AVPU): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.455-2016-10-06T130432.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.39-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(AVPU): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.55.11.39 AVPU SNOMED (DYNAMISCH)'.</assert>
   </rule>
</pattern>
