<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Name: Pain Location
Description: Pain Location: Pijnlocatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153">
   <title>Pain Location</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]]
Item: (PainLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]]"
         id="d127e11193-false-d44352e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']])&lt;=1">(PainLocation): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]
Item: (PainLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]"
         id="d127e11217-false-d44373e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(PainLocation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PainLocation): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="string(@moodCode)=('EVN')">(PainLocation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PainLocation): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470'])&gt;=1">(PainLocation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470'])&lt;=1">(PainLocation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:code[(@code='279001004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(PainLocation): element hl7:code[(@code='279001004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:code[(@code='279001004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(PainLocation): element hl7:code[(@code='279001004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="count(hl7:value)&lt;=1">(PainLocation): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']
Item: (PainLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']"
         id="d127e11223-false-d44430e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PainLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.470')">(PainLocation): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.470' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PainLocation): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:code[(@code='279001004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (PainLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:code[(@code='279001004' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e11228-false-d44451e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PainLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="@nullFlavor or (@code='279001004' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pain finding at anatomical site (finding)' and @codeSystemName='SNOMED CT')">(PainLocation): de elementwaarde MOET een zijn van 'code '279001004' codeSystem '2.16.840.1.113883.6.96' displayName='Pain finding at anatomical site (finding)' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.470
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:value
Item: (PainLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.470']]/hl7:value"
         id="d127e11233-false-d44471e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.470-2016-10-19T135153.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PainLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
</pattern>
