<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.485
Name: Pulsating Swelling Location
Description: Pulsating Swelling Location: Locatie pulserende zwelling
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534">
   <title>Pulsating Swelling Location</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.485
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]]
Item: (PulsatingSwellingLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]]"
         id="d127e12010-false-d47450e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="count(hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']])&lt;=1">(PulsatingSwellingLocation): element hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.485
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]
Item: (PulsatingSwellingLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]"
         id="d127e12034-false-d47471e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="string(@classCode)=('OBS') or not(@classCode)">(PulsatingSwellingLocation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(PulsatingSwellingLocation): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(PulsatingSwellingLocation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(PulsatingSwellingLocation): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485'])&gt;=1">(PulsatingSwellingLocation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485'])&lt;=1">(PulsatingSwellingLocation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="count(hl7:code[(@code='2981001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&gt;=1">(PulsatingSwellingLocation): element hl7:code[(@code='2981001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="count(hl7:code[(@code='2981001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)])&lt;=1">(PulsatingSwellingLocation): element hl7:code[(@code='2981001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="count(hl7:value)&lt;=1">(PulsatingSwellingLocation): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.485
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']
Item: (PulsatingSwellingLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']"
         id="d127e12040-false-d47528e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulsatingSwellingLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.485')">(PulsatingSwellingLocation): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.485' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(PulsatingSwellingLocation): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.485
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]/hl7:code[(@code='2981001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]
Item: (PulsatingSwellingLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]/hl7:code[(@code='2981001' and @codeSystem='2.16.840.1.113883.6.96')][not(@nullFlavor)]"
         id="d127e12045-false-d47549e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulsatingSwellingLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="@nullFlavor or (@code='2981001' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pulsatile mass of abdomen (finding)' and @codeSystemName='SNOMED CT')">(PulsatingSwellingLocation): de elementwaarde MOET een zijn van 'code '2981001' codeSystem '2.16.840.1.113883.6.96' displayName='Pulsatile mass of abdomen (finding)' codeSystemName='SNOMED CT''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.485
Context: *[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]/hl7:value
Item: (PulsatingSwellingLocation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.485']]/hl7:value"
         id="d127e12050-false-d47569e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PulsatingSwellingLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.485-2016-11-08T151534.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.55.11.91-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(PulsatingSwellingLocation): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.55.11.91 Locatie op lichaam(sdeel) SNOMED (DYNAMISCH)'.</assert>
   </rule>
</pattern>
