<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Name: Insurance
Description: Template voor de weergave van verzekeringsgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205">
   <title>Insurance</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]
Item: (Insurance)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]"
         id="d127e13484-false-d88152e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="string(@typeCode)=('HLD')">(Insurance): de waarde van @typeCode MOET 'HLD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(Insurance): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(Insurance): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="not(@contextControlCode) or (string-length(@contextControlCode)&gt;0 and not(matches(@contextControlCode,'\s')))">(Insurance): attribuut @contextControlCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006'])&gt;=1">(Insurance): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006'])&lt;=1">(Insurance): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:associatedEntity)&lt;=1">(Insurance): element hl7:associatedEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']"
         id="d127e13493-false-d88197e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Insurance): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="string(@root)=('2.16.840.1.113883.2.4.3.11.60.55.10.9006')">(Insurance): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.55.10.9006' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Insurance): attribuut @root MOET datatype 'uid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity"
         id="d127e13498-false-d88218e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="string(@classCode)=('POLHOLD')">(Insurance): de waarde van @classCode MOET 'POLHOLD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(Insurance): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:id)&lt;=1">(Insurance): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:scopingOrganization)&lt;=1">(Insurance): element hl7:scopingOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity/hl7:id
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity/hl7:id"
         id="d127e13502-false-d88253e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Insurance): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity/hl7:scopingOrganization
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity/hl7:scopingOrganization"
         id="d127e13518-false-d88267e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.4'])&gt;=1">(Insurance): element hl7:id[@root='2.16.840.1.113883.2.4.6.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.4'])&lt;=1">(Insurance): element hl7:id[@root='2.16.840.1.113883.2.4.6.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:name)&gt;=1">(Insurance): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="count(hl7:name)&lt;=1">(Insurance): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.4']
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.4']"
         id="d127e13526-false-d88302e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Insurance): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.4')">(Insurance): de waarde van @root MOET '2.16.840.1.113883.2.4.6.4' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(Insurance): attribuut @root MOET datatype 'uid' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="@extension">(Insurance): attribute @extension MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="not(@extension) or string-length(@extension)&gt;0">(Insurance): attribuut @extension MOET datatype 'st' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.55.10.9006
Context: *[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (Insurance)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]]/hl7:participant[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.55.10.9006']]/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="d127e13541-false-d88330e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/acutezorg/acutezorg-html-20170801T111850/tmp-2.16.840.1.113883.2.4.3.11.60.55.10.9006-2017-04-11T172205.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Insurance): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
</pattern>
